package nl.voidcorp.yeetbot

data class Config(var httpPort: Int = 7222, val guildWords: MutableMap<Long, GuildInfo> = mutableMapOf())

data class GuildInfo(val list: MutableList<Match> = mutableListOf())

data class Match(val match: String, var time: Long = System.currentTimeMillis(), val type: MatchType = MatchType.RAW)

enum class MatchType {
    REGEX,
    RAW
}

fun MutableList<Match>.contains(match: String): Boolean = this.any { it.match == match }